Skip to main content
POST
Create a new experience

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

resume_id
string
required

Resume ID of the resume the education belongs to. If you want to interact with the base educations, just put base in here

Body

company_name
string
required

The name of the company the user worked at.

Maximum string length: 250
job_title
string
required

The title of the job the user had.

Maximum string length: 250
employment_type
enum<string>
required

The type of employment the user had. Can be Full Time, Part Time, Contract, Internship, Freelance, Self Employed, Volunteer or Trainee.

  • flt - Full Time
  • prt - Part Time
  • con - Contract
  • int - Internship
  • fre - Freelance
  • sel - Self Employed
  • vol - Volunteer
  • tra - Trainee
Available options:
flt,
prt,
con,
int,
fre,
sel,
vol,
tra
user
string
required

The user who the experience entry belongs to.

resume_section
string<uuid>
required

The unique identifier for the resume section entry.

city
string | null

The city the company is located in. (optional)

Maximum string length: 50
started_from_month
integer | null

Month when the experience started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the experience started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the experience was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the experience was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean

Whether the user is currently working. default: False

description
string | null

The description of the experience entry. User can provide any kind of description for that user. Usually in HTML format to support rich text. (optional)

Maximum string length: 3000
country
string | null

The country the company is located in. (optional)

Response

id
string
required
read-only
user
string
required

The user who the experience entry belongs to.

resume_section
string
required
read-only
company_name
string
required

The name of the company the user worked at.

Maximum string length: 250
job_title
string
required

The title of the job the user had.

Maximum string length: 250
employment_type
string
required
read-only
country
string
required
read-only
created_at
string<date-time>
required
read-only

The date and time the experience entry was created.

updated_at
string<date-time>
required
read-only

The date and time the experience entry was last updated.

city
string | null

The city the company is located in. (optional)

Maximum string length: 50
started_from_month
integer | null

Month when the experience started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the experience started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the experience was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the experience was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean

Whether the user is currently working. default: False

description
string | null

The description of the experience entry. User can provide any kind of description for that user. Usually in HTML format to support rich text. (optional)

Maximum string length: 3000